Delete a blockchain
Permanently removes a blockchain identified by its ID. The blockchain must not be in an active lifecycle state.
DELETE
/
blockchain_link
/
blockchains
/
{blockchainId}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.blockchainLinkBeta.deleteBlockchainLinkChain(blockchainLinkBetaApiDeleteBlockchainLinkChainRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.blockchainLinkBeta().deleteBlockchainLinkChain(blockchainId);response = fireblocks.blockchain_link_beta.delete_blockchain_link_chain(blockchain_id);curl --request DELETE \
--url https://api.fireblocks.io/v1/blockchain_link/blockchains/{blockchainId}const options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/blockchain_link/blockchains/{blockchainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Path Parameters
tenant_id is extracted from JWT token context
Response
No Content
Was this page helpful?
Previous
Activate a blockchain (triggers activation workflow)Starts the asynchronous activation workflow for the blockchain identified by its ID, transitioning it towards the ACTIVATED state.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.blockchainLinkBeta.deleteBlockchainLinkChain(blockchainLinkBetaApiDeleteBlockchainLinkChainRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.blockchainLinkBeta().deleteBlockchainLinkChain(blockchainId);response = fireblocks.blockchain_link_beta.delete_blockchain_link_chain(blockchain_id);